Subject: bug#46025: 28.0.50; warning suppression buttons truncate warnings

From: Andrea Corallo <[email-masked]>
Date: Fri, 22 Jan 2021 09:12:09 +0000

No Wayman <[email-masked]> writes:

> The warning suppression buttons introduced in
> 66d01012ba61a364fe92cdc1728bfa135a90626a truncate warning messages.
> I have offered a trivial patch in the past to have an option to
> disable these buttons:
>
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg01405.html
>
> Lars did not see it as a valid use case. His argument (summarized):
>
>> since you get the warnings so seldom, it makes sense
>> to have the very few you see come with ready-made ways of making
>> them go
>> away, and then you're back to no warnings again.
>
> Initially I thought the idea of the buttons was useful, but after
> thinking on it more
> I agree with the case against these buttons Jonas Bernoulli made here:
>
> https://lists.gnu.org/archive/html/emacs-devel/2020-11/msg00768.html
>
> I would add to that, the fact that the buttons truncate the warning
> messages makes it impossible for a user to make an informed decision
> on whether or not they should be suppressing the warning. The
> truncated messages are equally useless to me as a developer. Here's an
> image someone sent me of the warnings on their system:
>
> https://user-images.githubusercontent.com/2872862/105290265-42526580-5bb0-11eb-962d-b56f71b6efc0.png
>
> While I politely encouraged them to send text in the future for such
> output,
> here's what I would've received:
>
> Warning (comp): Debugger entered--Lisp error:
> (native-compiler-error-empty-byte
> "/root/.emacs.d/straight/build/straight/straight-au..."
> "/root/.emacs.d/straight/build/straight/straight-au...\
> ") Disable showing Disable logging
> Warning (comp): Debugger entered--Lisp error:
> (native-compiler-error-empty-byte
> "/root/.emacs.d/straight/build/bind-key/bind-key-au..."
> "/root/.emacs.d/straight/build/bind-key/bind-key-au...\
> ") Disable showing Disable logging
> Warning (comp): Debugger entered--Lisp error:
> (native-compiler-error-empty-byte
> "/root/.emacs.d/straight/build/use-package/use-pack..."
> "/root/.emacs.d/straight/build/use-package/use-pack...\
> ") Disable showing Disable logging
>
> It's only by luck I can see enough of the file path to know which
> files are throwing the errors.
>
> Is there a way to work around this (absent my patch)?

Hi,

is using the full output in the *Async-native-compile-log* buffer an
acceptable alternative?

Regards

  Andrea